Summary:   NESSUS Server Daemon
Name:      nessus
Version:   990312
Release:   0
URL:       http://www.nessus.org/
Source0:   http://www.nessus.org/%{name}-%{version}.tgz
Source1:   nessusd.init
Source2:   nessusd.rules
Source3:   nessusd.users
Source4:   nessusd.conf
Patch0:	   nessus.patch
Copyright: distributable
Group:     Networking/Daemons
Buildroot: /tmp/%{name}-%{version}-root
Packager:  Henri Gomez <gomez@slib.fr>
Prereq:    /sbin/chkconfig

%description
The aim of the Nessus project is to provide the internet community a free, 
open-sourced and easy-to-use security auditing tool. 
The Nessus project was started by Renaud Deraison and the
first version was released to the public on the 4th April 1998
This package contain the server part of nessus.

Built for glibc6 on a RedHat 5.1 system.


%package client
Summary: NESSUS Client
Group: Networking
Requires:  gtk+ > 0.99.9 

%description client
The aim of the Nessus project is to provide the internet community a free,
open-sourced and easy-to-use security auditing tool.
The Nessus project was started by Renaud Deraison and the
first version was released to the public on the 4th April 1998
This package contain the client part of nessus.

Built for glibc6 on a RedHat 5.1 system.
It will allow both 5.1 and 5.2 systems to
use nessus with gtk+1.0.


%prep
%setup -q
%patch0

echo "Removing..."

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure  --enable-pthreads --prefix=$RPM_BUILD_ROOT 
#CFLAGS="$RPM_OPT_FLAGS -DGTK_HAS_ADD_WITH_VIEWPORT" ./configure  --enable-cipher --enable-pthreads --prefix=$RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS -O6" ./configure --enable-cipher --exec_prefix=$RPM_BUILD_ROOT/usr --prefix=$RPM_BUILD_ROOT/usr
make

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share/nessus/plugins
mkdir -p $RPM_BUILD_ROOT/usr/share/nessus/reports
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make install
install $RPM_SOURCE_DIR/nessusd.init  $RPM_BUILD_ROOT/etc/rc.d/init.d/nessusd
install $RPM_SOURCE_DIR/nessusd.rules $RPM_BUILD_ROOT/usr/share/nessus
install $RPM_SOURCE_DIR/nessusd.users $RPM_BUILD_ROOT/usr/share/nessus
install $RPM_SOURCE_DIR/nessusd.conf  $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/bin/nessusd    $RPM_BUILD_ROOT/usr/sbin

%post
/sbin/chkconfig --add nessusd
echo ""
echo "Edit immediatly /usr/share/nessus/nessusd.users file"
echo "and change at least the password"
echo "Also don't forget to setup /usr/share/nessus/nessusd.rules"
echo "and /etc/nessusd.conf to follow your site needs"
echo ""

%postun
/sbin/chkconfig --del nessusd 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root)	  %config(noreplace) /etc/nessusd.conf
%attr(755,root,root)      /etc/rc.d/init.d/* 
%attr( - ,root,root)      /usr/lib/*
%attr(644,root,root) %dir /usr/share/nessus
%attr(600,root,root)      %config(noreplace) /usr/share/nessus/nessusd.rules
%attr(600,root,root)      %config(noreplace) /usr/share/nessus/nessusd.users
%attr(755,root,root) %dir /usr/share/nessus/plugins
%attr(644,root,root)      /usr/share/nessus/plugins/*
%attr(750,root,root)      /usr/sbin/nessusd
%attr(644,root,root)      /usr/man/man1/*
%doc                      INSTALL NEWS doc/

%files client
%defattr(-,root,root)
%attr(755,root,root)      /usr/bin/nessus 
%attr( - ,root,root)      /usr/lib/libnessus.so*
%attr( - ,root,root)      /usr/lib/libnessusc.so*
%attr(770,root,root) %dir /usr/share/nessus/reports

%changelog
* Thu Mar 11 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990311
- Splitted in two packages, client/server 
- Server goes now to group Networking/Daemons
- Client goes fall in group Networking
- -O6 flags to improve speed (?-:)

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990302

* Mon Feb 22 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990220.
- Do not override nessusd.rules and nessusd.users

* Fri Feb 12 1999 Henri Gomez <gomez@slib.fr>
- Second RPM release (990209)
- Simplification of patch file.

* Wed Feb 10 1999 Henri Gomez <gomez@slib.fr>
- First RPM release (990201)
